Security Enhanced Linux Reference Policy

# Layer: services

## Module: inn

Interfaces

### Description:

Internet News NNTP server

### Interfaces:

inn_admin( domain , role )

##### Summary

All of the rules required to administrate an inn environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the inn domain.

inn_dgram_send( domain )

##### Summary

Send to a innd unix dgram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_domtrans( domain )

##### Summary

Execute inn in the inn domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_exec( domain )

##### Summary

Allow the specified domain to execute innd in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_exec_config( domain )

##### Summary

Allow the specified domain to execute inn configuration files in /etc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_manage_log( domain )

##### Summary

Create, read, write, and delete the innd log.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_manage_pid( domain )

##### Summary

Create, read, write, and delete the innd pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_read_config( domain )

##### Summary

Read innd configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_read_news_lib( domain )

##### Summary

Read innd news library files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inn_read_news_spool( domain )

##### Summary

Read innd news library files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return